<?xml version="1.0" encoding="UTF-8"?>
<definitions xmlns="http://www.omg.org/spec/BPMN/20100524/MODEL" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:activiti="http://activiti.org/bpmn" xmlns:bpmndi="http://www.omg.org/spec/BPMN/20100524/DI" xmlns:omgdc="http://www.omg.org/spec/DD/20100524/DC" xmlns:omgdi="http://www.omg.org/spec/DD/20100524/DI" typeLanguage="http://www.w3.org/2001/XMLSchema" expressionLanguage="http://www.w3.org/1999/XPath" targetNamespace="http://www.activiti.org/processdef">
  <process id="meet" name="会议室预约申请" isExecutable="true">
    <documentation>会议申请流程</documentation>
    <startEvent id="sid-0B49AD9F-2C2B-45BD-81D9-0E94D2006794"></startEvent>
    <userTask id="sid-064CB521-D303-4992-BA68-1B5D634ADB3C" name="会议管理员审核" activiti:candidateUsers="1178124163567439873,1178125177867587586">
      <extensionElements>
        <activiti:formProperty id="flag" name="0,1" type="string"></activiti:formProperty>
        <activiti:taskListener event="complete" class="com.wstapp.modules.apply.listener.MeetApprovalResultListener"></activiti:taskListener>
      </extensionElements>
    </userTask>
    <sequenceFlow id="sid-115CC223-E65C-4896-960D-039B9D917168" sourceRef="sid-0B49AD9F-2C2B-45BD-81D9-0E94D2006794" targetRef="sid-064CB521-D303-4992-BA68-1B5D634ADB3C"></sequenceFlow>
    <endEvent id="sid-798014D6-82B7-45CD-80A3-5F202AEF4F0B"></endEvent>
    <userTask id="sid-B0D06780-3387-456B-85CB-69CB8FF153E7" name="参会人员确认" activiti:assignee="${assignee}">
      <extensionElements>
        <activiti:formProperty id="flag" name="0,1,10" type="string"></activiti:formProperty>
        <activiti:formProperty id="meetConfirmTask" name="1" type="string"></activiti:formProperty>
        <activiti:taskListener event="complete" class="com.wstapp.modules.apply.listener.MeetParticipateConfirmResultListener"></activiti:taskListener>
        <modeler:initiator-can-complete xmlns:modeler="http://activiti.com/modeler"><![CDATA[false]]></modeler:initiator-can-complete>
      </extensionElements>
      <multiInstanceLoopCharacteristics isSequential="false" activiti:collection="eParticipates" activiti:elementVariable="assignee">
        <completionCondition>${nrOfCompletedInstances/nrOfInstances ==1}</completionCondition>
      </multiInstanceLoopCharacteristics>
    </userTask>
    <exclusiveGateway id="sid-AC8FCAC1-F7E8-401B-922B-619C55FF3EB3"></exclusiveGateway>
    <sequenceFlow id="sid-E3CCC986-04B9-47A6-A5C7-1D617117C77C" sourceRef="sid-B0D06780-3387-456B-85CB-69CB8FF153E7" targetRef="sid-798014D6-82B7-45CD-80A3-5F202AEF4F0B"></sequenceFlow>
    <sequenceFlow id="sid-683C47D6-6BA7-4C39-A6B0-F70CC79EC9FF" sourceRef="sid-064CB521-D303-4992-BA68-1B5D634ADB3C" targetRef="sid-AC8FCAC1-F7E8-401B-922B-619C55FF3EB3"></sequenceFlow>
    <sequenceFlow id="sid-C225F3F4-FE99-448D-B0CC-B1CD0AE5B330" name="通过" sourceRef="sid-AC8FCAC1-F7E8-401B-922B-619C55FF3EB3" targetRef="sid-B0D06780-3387-456B-85CB-69CB8FF153E7">
      <conditionExpression xsi:type="tFormalExpression"><![CDATA[${flag == 1}]]></conditionExpression>
    </sequenceFlow>
    <sequenceFlow id="sid-0D73BE98-B703-425E-A6F5-BCF1A3A97272" name="拒绝" sourceRef="sid-AC8FCAC1-F7E8-401B-922B-619C55FF3EB3" targetRef="sid-798014D6-82B7-45CD-80A3-5F202AEF4F0B">
      <conditionExpression xsi:type="tFormalExpression"><![CDATA[${flag == 0}]]></conditionExpression>
    </sequenceFlow>
  </process>
  <bpmndi:BPMNDiagram id="BPMNDiagram_meet">
    <bpmndi:BPMNPlane bpmnElement="meet" id="BPMNPlane_meet">
      <bpmndi:BPMNShape bpmnElement="sid-0B49AD9F-2C2B-45BD-81D9-0E94D2006794" id="BPMNShape_sid-0B49AD9F-2C2B-45BD-81D9-0E94D2006794">
        <omgdc:Bounds height="30.0" width="30.0" x="195.0" y="80.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="sid-064CB521-D303-4992-BA68-1B5D634ADB3C" id="BPMNShape_sid-064CB521-D303-4992-BA68-1B5D634ADB3C">
        <omgdc:Bounds height="80.0" width="100.0" x="285.0" y="55.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="sid-798014D6-82B7-45CD-80A3-5F202AEF4F0B" id="BPMNShape_sid-798014D6-82B7-45CD-80A3-5F202AEF4F0B">
        <omgdc:Bounds height="28.0" width="28.0" x="765.0" y="81.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="sid-B0D06780-3387-456B-85CB-69CB8FF153E7" id="BPMNShape_sid-B0D06780-3387-456B-85CB-69CB8FF153E7">
        <omgdc:Bounds height="80.0" width="100.0" x="570.0" y="55.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="sid-AC8FCAC1-F7E8-401B-922B-619C55FF3EB3" id="BPMNShape_sid-AC8FCAC1-F7E8-401B-922B-619C55FF3EB3">
        <omgdc:Bounds height="40.0" width="40.0" x="430.0" y="75.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNEdge bpmnElement="sid-C225F3F4-FE99-448D-B0CC-B1CD0AE5B330" id="BPMNEdge_sid-C225F3F4-FE99-448D-B0CC-B1CD0AE5B330">
        <omgdi:waypoint x="469.5562130177515" y="95.44378698224853"></omgdi:waypoint>
        <omgdi:waypoint x="570.0" y="95.14749262536873"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-683C47D6-6BA7-4C39-A6B0-F70CC79EC9FF" id="BPMNEdge_sid-683C47D6-6BA7-4C39-A6B0-F70CC79EC9FF">
        <omgdi:waypoint x="385.0" y="95.21645021645021"></omgdi:waypoint>
        <omgdi:waypoint x="430.4130434782609" y="95.41304347826087"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-0D73BE98-B703-425E-A6F5-BCF1A3A97272" id="BPMNEdge_sid-0D73BE98-B703-425E-A6F5-BCF1A3A97272">
        <omgdi:waypoint x="450.5" y="114.5"></omgdi:waypoint>
        <omgdi:waypoint x="450.5" y="184.0"></omgdi:waypoint>
        <omgdi:waypoint x="779.0" y="184.0"></omgdi:waypoint>
        <omgdi:waypoint x="779.0" y="109.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-115CC223-E65C-4896-960D-039B9D917168" id="BPMNEdge_sid-115CC223-E65C-4896-960D-039B9D917168">
        <omgdi:waypoint x="225.0" y="95.0"></omgdi:waypoint>
        <omgdi:waypoint x="285.0" y="95.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="sid-E3CCC986-04B9-47A6-A5C7-1D617117C77C" id="BPMNEdge_sid-E3CCC986-04B9-47A6-A5C7-1D617117C77C">
        <omgdi:waypoint x="670.0" y="95.0"></omgdi:waypoint>
        <omgdi:waypoint x="765.0" y="95.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
    </bpmndi:BPMNPlane>
  </bpmndi:BPMNDiagram>
</definitions>